#!/bin/sh
JRE_Version=jre1.7.0_21
Release=7u21
Myarch=64
Linkurl="http://javadl.sun.com/webapps/download/AutoDL?BundleId=76853"

if [ $Myarch == "64" ]; then
    DownloadUrl=$Linkurl
#    DownloadFile="jre-$Release-linux-x64.tar.gz"
    DownloadFile="jre-$Release-linux-x64"
else
    DownloadUrl=$Linkurl
#    DownloadFile="jre-$Release-linux-i586.tar.gz"
    DownloadFile="jre-$Release-linux-i586"
fi

if [  -e /opt/java/$Myarch/$JRE_Version ]
  then
    echo "Le fichier existe!"
  else
    #wget -v --base="%{DownloadUrl}" -O $DownloadFile
    wget -v "$DownloadUrl" -O "/tmp/$DownloadFile.tar.gz"
      if [ "$?" != "0" ]; then
	echo -e '\E[31mDésolé, il y a eu des problèmes lors du téléchargement du paquetage.\033[0m'
	echo -e '\E[31mFin du script.\033[0m'
	exit 1
      fi
    #mkdir -p /opt/java/$Myarch && cd /opt/java/$Myarch
    mkdir -p /opt/java/$Myarch
    cd /tmp && tar xvzf $DownloadFile.tar.gz
    mv /tmp/$JRE_Version /opt/java/$Myarch
    # *.bin -> *.tar.gz
    #chmod +x $DownloadFile
    #sh $DownloadFile
fi

# now create symlinks in "/etc/alternatives/" and "/usr/lib/jvm/" folder
     ln -sf /opt/java/64/$JRE_Version /etc/alternatives/$JRE_Version
     ln -sf /etc/alternatives/$JRE_Version /usr/lib/jvm/$JRE_Version
     
# now tell the system there is a new java version available
update-alternatives --install /usr/bin/java java /usr/lib/jvm/$JRE_Version/bin/java 1
# for webstart
update-alternatives --install /usr/bin/javaws javaws /usr/lib/jvm/$JRE_Version/bin/javaws 2000
# for jcontrol
update-alternatives --install /usr/bin/jcontrol jcontrol /usr/lib/jvm/$JRE_Version/bin/jcontrol 2000

# now make new jre the default
update-alternatives --set java /usr/lib/jvm/$JRE_Version/bin/java
#update-alternatives --auto java
update-alternatives --set javaws /usr/lib/jvm/$JRE_Version/bin/javaws
#update-alternatives --auto javaws
update-alternatives --set jcontrol /usr/lib/jvm/$JRE_Version/bin/jcontrol
#update-alternatives --auto jcontrol

# Arch Plug-ins things
if [ $Myarch == "64" ]; then
    # update the browser plugin
    ln -sf /usr/lib/jvm/$JRE_Version/lib/amd64/libnpjp2.so /usr/lib64/mozilla/plugins/javaplugin.so
    # control panel
    ln -sf /usr/lib/jvm/$JRE_Version/bin/jcontrol /usr/bin/jcontrol
else
    # update the browser plugin
    ln -sf /usr/lib/jvm/$JRE_Version/lib/i386/libnpjp2.so /usr/lib/mozilla/plugins/javaplugin.so
    # control panel
    ln -sf /usr/lib/jvm/$JRE_Version/bin/jcontrol /usr/bin/jcontrol
fi

chown root:root -R /opt/java/64/$JRE_Version

cp /opt/java/$Myarch/$JRE_Version/lib/desktop/icons/hicolor/48x48/apps/*.png /usr/share/pixmaps/
cp /opt/java/$Myarch/$JRE_Version/lib/desktop/applications/*.desktop /usr/share/applications/
cp /opt/java/$Myarch/$JRE_Version/lib/desktop/mime/packages/*.xml /usr/share/mime/packages/
cp /opt/java/$Myarch/$JRE_Version/COPYRIGHT /usr/share/doc/java-oracle
cp /opt/java/$Myarch/$JRE_Version/LICENSE /usr/share/doc/java-oracle
cp /opt/java/$Myarch/$JRE_Version/README /usr/share/doc/java-oracle

# cleanup
rm /tmp/$DownloadFile.tar.gz
